package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 不动产登记信息对象 t_guiji_naturalresources_bdcdjxx
 *
 * @author lei
 * @date 2021-10-29
 */
public class TGuijiNaturalresourcesBdcdjxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private String id;

    /** 推送时间 */
    @Excel(name = "推送时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 登记编号 */
    @Excel(name = "登记编号")
    private String djbh;

    /** 不动产坐落 */
    @Excel(name = "不动产坐落")
    private String fdzl;

    /** 共有方式 */
    @Excel(name = "共有方式")
    private String gyfs;

    /** 权利类型 */
    @Excel(name = "权利类型")
    private String qllx;

    /** 产别 */
    @Excel(name = "产别")
    private String cqxz;

    /** 持证方式 */
    @Excel(name = "持证方式")
    private String czfs;

    /** 计税价格 万元 */
    @Excel(name = "计税价格 万元")
    private String zpgj;

    /** 契税 */
    @Excel(name = "契税")
    private String qsje;

    /** 总成交价 万元 */
    @Excel(name = "总成交价 万元")
    private String zcjj;

    /** 契税基数 */
    @Excel(name = "契税基数")
    private String qsjs;

    /** 维修资金 */
    @Excel(name = "维修资金")
    private String wxzj;

    /** 增值税 */
    @Excel(name = "增值税")
    private String yys;

    /** 完税时间 日期格式：yyyy-mm-dd */
    @Excel(name = "完税时间 日期格式：yyyy-mm-dd")
    private String wsrq;

    /** 协议/合同日期 日期格式：yyyy-mm-dd */
    @Excel(name = "协议/合同日期 日期格式：yyyy-mm-dd")
    private String cqazhtrq;

    /** 登记原因 */
    @Excel(name = "登记原因")
    private String djyy;

    /** 附记 */
    @Excel(name = "附记")
    private String fj;

    /** 房号 */
    @Excel(name = "房号")
    private String hh;

    /** 总层数 */
    @Excel(name = "总层数")
    private String zcs;

    /** 所在层 */
    @Excel(name = "所在层")
    private String szc;

    /** 房屋用途 */
    @Excel(name = "房屋用途")
    private String ghyt;

    /** 建筑结构 */
    @Excel(name = "建筑结构")
    private String fwjg;

    /** 建筑面积 保留两位小数 */
    @Excel(name = "建筑面积 保留两位小数")
    private String scjzmj;

    /** 专有面积 保留两位小数 */
    @Excel(name = "专有面积 保留两位小数")
    private String sczyjzmj;

    /** 分摊面积 保留两位小数 */
    @Excel(name = "分摊面积 保留两位小数")
    private String scftjzmj;

    /** 竣工时间 日期格式：yyyy-mm-dd */
    @Excel(name = "竣工时间 日期格式：yyyy-mm-dd")
    private String jgsj;

    /** 户室坐落 */
    @Excel(name = "户室坐落")
    private String fwzl;

    /** 土地性质 100-国有土地;101-划拨;102-出让;103-作价出资（入股）;104-国有土地租赁;105-授权经营;106-家庭承包;107-其它方式承包;200-集体土地;201-家庭承包;202-其它方式承包;203-批准拨用;204-入股;205-联营 */
    @Excel(name = "土地性质 100-国有土地;101-划拨;102-出让;103-作价出资", readConverterExp = "入=股")
    private String tdqlxz;

    /** 土地类型 1-集体土地所有权;2-国有土地所有权;3-国有建设用地使用权;4-国有建设用地使用权/房屋所有权;5-宅基地使用权;6-宅基地使用权/房屋所有权;7-集体建设用地使用权;8-集体建设用地使用权/房屋所有权;9-土地承包经营权;10-土地承包经营权/森林、林木所有权;11-林地使用权;12-林地使用权/森林、林木使用权;13-草原使用权;14-水域滩涂养殖权;15-海域使用权;16-海域使用权/构（建）筑物所有权;17-无居民海岛使用权;18-无居民海岛使用权/构（建）筑物所有权;19-地役权;20-取水权;21-探矿权;22-采矿权;99-其它权利 */
    @Excel(name = "土地类型 1-集体土地所有权;2-国有土地所有权;3-国有建设用地使用权;4-国有建设用地使用权/房屋所有权;5-宅基地使用权;6-宅基地使用权/房屋所有权;7-集体建设用地使用权;8-集体建设用地使用权/房屋所有权;9-土地承包经营权;10-土地承包经营权/森林、林木所有权;11-林地使用权;12-林地使用权/森林、林木使用权;13-草原使用权;14-水域滩涂养殖权;15-海域使用权;16-海域使用权/构", readConverterExp = "建=")
    private String tdqllx;

    /** 土地用途 */
    @Excel(name = "土地用途")
    private String tdyt;

    /** 土地使用开始 日期格式：yyyy-mm-dd */
    @Excel(name = "土地使用开始 日期格式：yyyy-mm-dd")
    private String tdsyqxks;

    /** 土地使用结束 日期格式：yyyy-mm-dd */
    @Excel(name = "土地使用结束 日期格式：yyyy-mm-dd")
    private String tdsyqxjs;

    /** 土地使用年限 */
    @Excel(name = "土地使用年限")
    private String synx;

    /** 独有土地面积 保留两位小数 */
    @Excel(name = "独有土地面积 保留两位小数")
    private String dytdmj;

    /** 分摊土地面积 保留两位小数 */
    @Excel(name = "分摊土地面积 保留两位小数")
    private String fttdmj;

    /** 共有土地面积 保留两位小数 */
    @Excel(name = "共有土地面积 保留两位小数")
    private String gytdmj;

    /** 宗地代码 */
    @Excel(name = "宗地代码")
    private String zddm;

    /** 不动产单元号 */
    @Excel(name = "不动产单元号")
    private String bdcdyh;

    /** 不动产单元号 */
    @Excel(name = "不动产单元号")
    private String bdcid;

    /** 推送单位 */
    @Excel(name = "推送单位")
    private String tsdw;

    /** 房屋性质 */
    @Excel(name = "房屋性质")
    private String fwxz;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setDjbh(String djbh)
    {
        this.djbh = djbh;
    }

    public String getDjbh()
    {
        return djbh;
    }
    public void setFdzl(String fdzl)
    {
        this.fdzl = fdzl;
    }

    public String getFdzl()
    {
        return fdzl;
    }
    public void setGyfs(String gyfs)
    {
        this.gyfs = gyfs;
    }

    public String getGyfs()
    {
        return gyfs;
    }
    public void setQllx(String qllx)
    {
        this.qllx = qllx;
    }

    public String getQllx()
    {
        return qllx;
    }
    public void setCqxz(String cqxz)
    {
        this.cqxz = cqxz;
    }

    public String getCqxz()
    {
        return cqxz;
    }
    public void setCzfs(String czfs)
    {
        this.czfs = czfs;
    }

    public String getCzfs()
    {
        return czfs;
    }
    public void setZpgj(String zpgj)
    {
        this.zpgj = zpgj;
    }

    public String getZpgj()
    {
        return zpgj;
    }
    public void setQsje(String qsje)
    {
        this.qsje = qsje;
    }

    public String getQsje()
    {
        return qsje;
    }
    public void setZcjj(String zcjj)
    {
        this.zcjj = zcjj;
    }

    public String getZcjj()
    {
        return zcjj;
    }
    public void setQsjs(String qsjs)
    {
        this.qsjs = qsjs;
    }

    public String getQsjs()
    {
        return qsjs;
    }
    public void setWxzj(String wxzj)
    {
        this.wxzj = wxzj;
    }

    public String getWxzj()
    {
        return wxzj;
    }
    public void setYys(String yys)
    {
        this.yys = yys;
    }

    public String getYys()
    {
        return yys;
    }
    public void setWsrq(String wsrq)
    {
        this.wsrq = wsrq;
    }

    public String getWsrq()
    {
        return wsrq;
    }
    public void setCqazhtrq(String cqazhtrq)
    {
        this.cqazhtrq = cqazhtrq;
    }

    public String getCqazhtrq()
    {
        return cqazhtrq;
    }
    public void setDjyy(String djyy)
    {
        this.djyy = djyy;
    }

    public String getDjyy()
    {
        return djyy;
    }
    public void setFj(String fj)
    {
        this.fj = fj;
    }

    public String getFj()
    {
        return fj;
    }
    public void setHh(String hh)
    {
        this.hh = hh;
    }

    public String getHh()
    {
        return hh;
    }
    public void setZcs(String zcs)
    {
        this.zcs = zcs;
    }

    public String getZcs()
    {
        return zcs;
    }
    public void setSzc(String szc)
    {
        this.szc = szc;
    }

    public String getSzc()
    {
        return szc;
    }
    public void setGhyt(String ghyt)
    {
        this.ghyt = ghyt;
    }

    public String getGhyt()
    {
        return ghyt;
    }
    public void setFwjg(String fwjg)
    {
        this.fwjg = fwjg;
    }

    public String getFwjg()
    {
        return fwjg;
    }
    public void setScjzmj(String scjzmj)
    {
        this.scjzmj = scjzmj;
    }

    public String getScjzmj()
    {
        return scjzmj;
    }
    public void setSczyjzmj(String sczyjzmj)
    {
        this.sczyjzmj = sczyjzmj;
    }

    public String getSczyjzmj()
    {
        return sczyjzmj;
    }
    public void setScftjzmj(String scftjzmj)
    {
        this.scftjzmj = scftjzmj;
    }

    public String getScftjzmj()
    {
        return scftjzmj;
    }
    public void setJgsj(String jgsj)
    {
        this.jgsj = jgsj;
    }

    public String getJgsj()
    {
        return jgsj;
    }
    public void setFwzl(String fwzl)
    {
        this.fwzl = fwzl;
    }

    public String getFwzl()
    {
        return fwzl;
    }
    public void setTdqlxz(String tdqlxz)
    {
        this.tdqlxz = tdqlxz;
    }

    public String getTdqlxz()
    {
        return tdqlxz;
    }
    public void setTdqllx(String tdqllx)
    {
        this.tdqllx = tdqllx;
    }

    public String getTdqllx()
    {
        return tdqllx;
    }
    public void setTdyt(String tdyt)
    {
        this.tdyt = tdyt;
    }

    public String getTdyt()
    {
        return tdyt;
    }
    public void setTdsyqxks(String tdsyqxks)
    {
        this.tdsyqxks = tdsyqxks;
    }

    public String getTdsyqxks()
    {
        return tdsyqxks;
    }
    public void setTdsyqxjs(String tdsyqxjs)
    {
        this.tdsyqxjs = tdsyqxjs;
    }

    public String getTdsyqxjs()
    {
        return tdsyqxjs;
    }
    public void setSynx(String synx)
    {
        this.synx = synx;
    }

    public String getSynx()
    {
        return synx;
    }
    public void setDytdmj(String dytdmj)
    {
        this.dytdmj = dytdmj;
    }

    public String getDytdmj()
    {
        return dytdmj;
    }
    public void setFttdmj(String fttdmj)
    {
        this.fttdmj = fttdmj;
    }

    public String getFttdmj()
    {
        return fttdmj;
    }
    public void setGytdmj(String gytdmj)
    {
        this.gytdmj = gytdmj;
    }

    public String getGytdmj()
    {
        return gytdmj;
    }
    public void setZddm(String zddm)
    {
        this.zddm = zddm;
    }

    public String getZddm()
    {
        return zddm;
    }
    public void setBdcdyh(String bdcdyh)
    {
        this.bdcdyh = bdcdyh;
    }

    public String getBdcdyh()
    {
        return bdcdyh;
    }
    public void setBdcid(String bdcid)
    {
        this.bdcid = bdcid;
    }

    public String getBdcid()
    {
        return bdcid;
    }
    public void setTsdw(String tsdw)
    {
        this.tsdw = tsdw;
    }

    public String getTsdw()
    {
        return tsdw;
    }
    public void setFwxz(String fwxz)
    {
        this.fwxz = fwxz;
    }

    public String getFwxz()
    {
        return fwxz;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("djbh", getDjbh())
            .append("fdzl", getFdzl())
            .append("gyfs", getGyfs())
            .append("qllx", getQllx())
            .append("cqxz", getCqxz())
            .append("czfs", getCzfs())
            .append("zpgj", getZpgj())
            .append("qsje", getQsje())
            .append("zcjj", getZcjj())
            .append("qsjs", getQsjs())
            .append("wxzj", getWxzj())
            .append("yys", getYys())
            .append("wsrq", getWsrq())
            .append("cqazhtrq", getCqazhtrq())
            .append("djyy", getDjyy())
            .append("fj", getFj())
            .append("hh", getHh())
            .append("zcs", getZcs())
            .append("szc", getSzc())
            .append("ghyt", getGhyt())
            .append("fwjg", getFwjg())
            .append("scjzmj", getScjzmj())
            .append("sczyjzmj", getSczyjzmj())
            .append("scftjzmj", getScftjzmj())
            .append("jgsj", getJgsj())
            .append("fwzl", getFwzl())
            .append("tdqlxz", getTdqlxz())
            .append("tdqllx", getTdqllx())
            .append("tdyt", getTdyt())
            .append("tdsyqxks", getTdsyqxks())
            .append("tdsyqxjs", getTdsyqxjs())
            .append("synx", getSynx())
            .append("dytdmj", getDytdmj())
            .append("fttdmj", getFttdmj())
            .append("gytdmj", getGytdmj())
            .append("zddm", getZddm())
            .append("bdcdyh", getBdcdyh())
            .append("bdcid", getBdcid())
            .append("tsdw", getTsdw())
            .append("fwxz", getFwxz())
            .toString();
    }
}
